Support » Plugin: Elementor Custom Skin » ReferenceError: elementorDevTools is not defined

  • ReferenceError: elementorDevTools is not defined with Elementor Pro 3.7.3 when editing the posts widget options.

Viewing 4 replies - 1 through 4 (of 4 total)
  • Thread Starter HooThemes

    (@hoosoft)

    I fixed it by myself.

    Thread Starter HooThemes

    (@hoosoft)

    There are 2 methods:
    1, Rollback elementor 3.7.x to elementor 3.6.8

    2, Modify Elementor Custom Skin php files

    change code elementor/widgets/widgets_registered to elementor/widgets/register

    change code

    public function init_widgets() {
    
    		// Include Widget files
    		require_once( __DIR__ . '/widgets/loop-item.php' );
    
    		// Register widget
    		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new \Ele_Custom_Loop_Item_Widget() );
    
    	}

    to

    public function init_widgets($widgets_manager) {
    
    		// Include Widget files
    		require_once( __DIR__ . '/widgets/loop-item.php' );
    
    		// Register widget
    		$widgets_manager->register( new \Ele_Custom_Loop_Item_Widget() );
    
    	}

    Thank you,

    We aren’t using your plugin, but rolling back to 3.6.8 fixed this issue on our installation as well.

    thank you. It worked for us as well. Have you reported it to Elementor team?

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.